### Method

# Ide DebuggerBreakpoint get_id

#### Declaration

    const gchar*
    ide_debugger_breakpoint_get_id (
      IdeDebuggerBreakpoint* self
    )

#### Description

Gets the identifier for the breakpoint that is backend specific.

Available since: | 3.32

Gets property | `Ide.DebuggerBreakpoint:id`

#### Return value

Returns: | `const gchar*`
| The id of the breakpoint.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.